/**
 * This class is generated by jOOQ
 */
package com.flamesgroup.storage.jooq.tables.records;


import com.flamesgroup.storage.jooq.tables.SimGroup;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class SimGroupRecord extends UpdatableRecordImpl<SimGroupRecord> {

	private static final long serialVersionUID = 1734541358;

	/**
	 * Setter for <code>public.sim_group.id</code>.
	 */
	public SimGroupRecord setId(Long value) {
		setValue(0, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.id</code>.
	 */
	public Long getId() {
		return (Long) getValue(0);
	}

	/**
	 * Setter for <code>public.sim_group.name</code>.
	 */
	public SimGroupRecord setName(String value) {
		setValue(1, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.name</code>.
	 */
	public String getName() {
		return (String) getValue(1);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_registration_mediana</code>.
	 */
	public SimGroupRecord setIdleAfterRegistrationMediana(Long value) {
		setValue(2, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_registration_mediana</code>.
	 */
	public Long getIdleAfterRegistrationMediana() {
		return (Long) getValue(2);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_registration_delta</code>.
	 */
	public SimGroupRecord setIdleAfterRegistrationDelta(Long value) {
		setValue(3, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_registration_delta</code>.
	 */
	public Long getIdleAfterRegistrationDelta() {
		return (Long) getValue(3);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_successful_call_mediana</code>.
	 */
	public SimGroupRecord setIdleAfterSuccessfulCallMediana(Long value) {
		setValue(4, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_successful_call_mediana</code>.
	 */
	public Long getIdleAfterSuccessfulCallMediana() {
		return (Long) getValue(4);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_successful_call_delta</code>.
	 */
	public SimGroupRecord setIdleAfterSuccessfulCallDelta(Long value) {
		setValue(5, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_successful_call_delta</code>.
	 */
	public Long getIdleAfterSuccessfulCallDelta() {
		return (Long) getValue(5);
	}

	/**
	 * Setter for <code>public.sim_group.idle_before_unregistration_mediana</code>.
	 */
	public SimGroupRecord setIdleBeforeUnregistrationMediana(Long value) {
		setValue(6, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_before_unregistration_mediana</code>.
	 */
	public Long getIdleBeforeUnregistrationMediana() {
		return (Long) getValue(6);
	}

	/**
	 * Setter for <code>public.sim_group.idle_before_unregistration_delta</code>.
	 */
	public SimGroupRecord setIdleBeforeUnregistrationDelta(Long value) {
		setValue(7, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_before_unregistration_delta</code>.
	 */
	public Long getIdleBeforeUnregistrationDelta() {
		return (Long) getValue(7);
	}

	/**
	 * Setter for <code>public.sim_group.self_dial_factor</code>.
	 */
	public SimGroupRecord setSelfDialFactor(Integer value) {
		setValue(8, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.self_dial_factor</code>.
	 */
	public Integer getSelfDialFactor() {
		return (Integer) getValue(8);
	}

	/**
	 * Setter for <code>public.sim_group.self_dial_chance</code>.
	 */
	public SimGroupRecord setSelfDialChance(Integer value) {
		setValue(9, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.self_dial_chance</code>.
	 */
	public Integer getSelfDialChance() {
		return (Integer) getValue(9);
	}

	/**
	 * Setter for <code>public.sim_group.idle_before_self_call_mediana</code>.
	 */
	public SimGroupRecord setIdleBeforeSelfCallMediana(Long value) {
		setValue(10, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_before_self_call_mediana</code>.
	 */
	public Long getIdleBeforeSelfCallMediana() {
		return (Long) getValue(10);
	}

	/**
	 * Setter for <code>public.sim_group.idle_before_self_call_delta</code>.
	 */
	public SimGroupRecord setIdleBeforeSelfCallDelta(Long value) {
		setValue(11, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_before_self_call_delta</code>.
	 */
	public Long getIdleBeforeSelfCallDelta() {
		return (Long) getValue(11);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_self_call_timeout_mediana</code>.
	 */
	public SimGroupRecord setIdleAfterSelfCallTimeoutMediana(Long value) {
		setValue(12, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_self_call_timeout_mediana</code>.
	 */
	public Long getIdleAfterSelfCallTimeoutMediana() {
		return (Long) getValue(12);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_self_call_timeout_delta</code>.
	 */
	public SimGroupRecord setIdleAfterSelfCallTimeoutDelta(Long value) {
		setValue(13, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_self_call_timeout_delta</code>.
	 */
	public Long getIdleAfterSelfCallTimeoutDelta() {
		return (Long) getValue(13);
	}

	/**
	 * Setter for <code>public.sim_group.description</code>.
	 */
	public SimGroupRecord setDescription(String value) {
		setValue(14, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.description</code>.
	 */
	public String getDescription() {
		return (String) getValue(14);
	}

	/**
	 * Setter for <code>public.sim_group.can_be_appointed</code>.
	 */
	public SimGroupRecord setCanBeAppointed(Boolean value) {
		setValue(15, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.can_be_appointed</code>.
	 */
	public Boolean getCanBeAppointed() {
		return (Boolean) getValue(15);
	}

	/**
	 * Setter for <code>public.sim_group.synthetic_ringing</code>.
	 */
	public SimGroupRecord setSyntheticRinging(Boolean value) {
		setValue(16, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.synthetic_ringing</code>.
	 */
	public Boolean getSyntheticRinging() {
		return (Boolean) getValue(16);
	}

	/**
	 * Setter for <code>public.sim_group.fas_detection</code>.
	 */
	public SimGroupRecord setFasDetection(Boolean value) {
		setValue(17, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.fas_detection</code>.
	 */
	public Boolean getFasDetection() {
		return (Boolean) getValue(17);
	}

	/**
	 * Setter for <code>public.sim_group.suppress_incoming_call_signal</code>.
	 */
	public SimGroupRecord setSuppressIncomingCallSignal(Boolean value) {
		setValue(18, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.suppress_incoming_call_signal</code>.
	 */
	public Boolean getSuppressIncomingCallSignal() {
		return (Boolean) getValue(18);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_zero_call_mediana</code>.
	 */
	public SimGroupRecord setIdleAfterZeroCallMediana(Long value) {
		setValue(19, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_zero_call_mediana</code>.
	 */
	public Long getIdleAfterZeroCallMediana() {
		return (Long) getValue(19);
	}

	/**
	 * Setter for <code>public.sim_group.idle_after_zero_call_delta</code>.
	 */
	public SimGroupRecord setIdleAfterZeroCallDelta(Long value) {
		setValue(20, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.idle_after_zero_call_delta</code>.
	 */
	public Long getIdleAfterZeroCallDelta() {
		return (Long) getValue(20);
	}

	/**
	 * Setter for <code>public.sim_group.registration_period</code>.
	 */
	public SimGroupRecord setRegistrationPeriod(Integer value) {
		setValue(21, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.registration_period</code>.
	 */
	public Integer getRegistrationPeriod() {
		return (Integer) getValue(21);
	}

	/**
	 * Setter for <code>public.sim_group.registration_count</code>.
	 */
	public SimGroupRecord setRegistrationCount(Integer value) {
		setValue(22, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.registration_count</code>.
	 */
	public Integer getRegistrationCount() {
		return (Integer) getValue(22);
	}

	/**
	 * Setter for <code>public.sim_group.operator_selection</code>.
	 */
	public SimGroupRecord setOperatorSelection(String value) {
		setValue(23, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.operator_selection</code>.
	 */
	public String getOperatorSelection() {
		return (String) getValue(23);
	}

	/**
	 * Setter for <code>public.sim_group.sms_delivery_report</code>.
	 */
	public SimGroupRecord setSmsDeliveryReport(Boolean value) {
		setValue(24, value);
		return this;
	}

	/**
	 * Getter for <code>public.sim_group.sms_delivery_report</code>.
	 */
	public Boolean getSmsDeliveryReport() {
		return (Boolean) getValue(24);
	}

	// -------------------------------------------------------------------------
	// Primary key information
	// -------------------------------------------------------------------------

	/**
	 * {@inheritDoc}
	 */
	@Override
	public Record1<Long> key() {
		return (Record1) super.key();
	}

	// -------------------------------------------------------------------------
	// Constructors
	// -------------------------------------------------------------------------

	/**
	 * Create a detached SimGroupRecord
	 */
	public SimGroupRecord() {
		super(SimGroup.SIM_GROUP);
	}

	/**
	 * Create a detached, initialised SimGroupRecord
	 */
	public SimGroupRecord(Long id, String name, Long idleAfterRegistrationMediana, Long idleAfterRegistrationDelta, Long idleAfterSuccessfulCallMediana, Long idleAfterSuccessfulCallDelta, Long idleBeforeUnregistrationMediana, Long idleBeforeUnregistrationDelta, Integer selfDialFactor, Integer selfDialChance, Long idleBeforeSelfCallMediana, Long idleBeforeSelfCallDelta, Long idleAfterSelfCallTimeoutMediana, Long idleAfterSelfCallTimeoutDelta, String description, Boolean canBeAppointed, Boolean syntheticRinging, Boolean fasDetection, Boolean suppressIncomingCallSignal, Long idleAfterZeroCallMediana, Long idleAfterZeroCallDelta, Integer registrationPeriod, Integer registrationCount, String operatorSelection, Boolean smsDeliveryReport) {
		super(SimGroup.SIM_GROUP);

		setValue(0, id);
		setValue(1, name);
		setValue(2, idleAfterRegistrationMediana);
		setValue(3, idleAfterRegistrationDelta);
		setValue(4, idleAfterSuccessfulCallMediana);
		setValue(5, idleAfterSuccessfulCallDelta);
		setValue(6, idleBeforeUnregistrationMediana);
		setValue(7, idleBeforeUnregistrationDelta);
		setValue(8, selfDialFactor);
		setValue(9, selfDialChance);
		setValue(10, idleBeforeSelfCallMediana);
		setValue(11, idleBeforeSelfCallDelta);
		setValue(12, idleAfterSelfCallTimeoutMediana);
		setValue(13, idleAfterSelfCallTimeoutDelta);
		setValue(14, description);
		setValue(15, canBeAppointed);
		setValue(16, syntheticRinging);
		setValue(17, fasDetection);
		setValue(18, suppressIncomingCallSignal);
		setValue(19, idleAfterZeroCallMediana);
		setValue(20, idleAfterZeroCallDelta);
		setValue(21, registrationPeriod);
		setValue(22, registrationCount);
		setValue(23, operatorSelection);
		setValue(24, smsDeliveryReport);
	}
}
